package com.bonait.bnframework.modules.home.fragment.mode;

import android.content.Context;
import androidx.annotation.Nullable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;

import com.bonait.bnframework.R;
import com.bonait.bnframework.common.helper.I.MyClickListener;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

public class huoli_control extends LinearLayout {
    @BindView(R.id.colse)
    ImageView colse;
    @BindView(R.id.hl1)
    ImageView hl1;
    @BindView(R.id.hl2)
    ImageView hl2;
    @BindView(R.id.hl3)
    ImageView hl3;
    @BindView(R.id.hl4)
    ImageView hl4;
    @BindView(R.id.hl5)
    ImageView hl5;
    /**
     * 当前状态
     */
    public boolean Status=false;
    /**
     * 当前火力级别
     */
    public int level=0;
    /**
     * 点击事件
     */
    public MyClickListener mListener=null;
    private View root;

    public huoli_control(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        root=LayoutInflater.from(context).inflate(R.layout.item_huolikongzhi, this);
        ButterKnife.bind(this, root);
        Init();
    }

    public void Init()
    {
        //设置 关闭
        SetLevel(0);
    }

    @OnClick({R.id.colse,
            R.id.hl1,R.id.hl2,R.id.hl3,R.id.hl4,R.id.hl5})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.colse://选择菜谱按钮点击
                if(Status)
                {
                    SetLevel(0);
                }else
                {
                    SetLevel(1);
                }
                break;
            case R.id.hl1:
                SetLevel(1);
                break;
            case R.id.hl2:
                SetLevel(2);
                break;
            case R.id.hl3:
                SetLevel(3);
                break;
            case R.id.hl4:
                SetLevel(4);
                break;
            case R.id.hl5:
                SetLevel(5);
                break;
        }

        if(mListener!=null)
        {
            mListener.clickListener(root,level);
        }
    }

    /**
     * 设置级别
     * @param value
     */
    public void SetLevel(int value)
    {
        level=value;
        if(value==1)
        {
            Status=true;
            colse.setImageResource(R.mipmap.kaiji);
            hl1.setImageResource(R.mipmap.hlqd);
            hl2.setImageResource(R.mipmap.hlwqd);
            hl3.setImageResource(R.mipmap.hlwqd);
            hl4.setImageResource(R.mipmap.hlwqd);
            hl5.setImageResource(R.mipmap.hlwqd);
        }else if(value==2)
        {
            Status=true;
            colse.setImageResource(R.mipmap.kaiji);
            hl1.setImageResource(R.mipmap.hlqd);
            hl2.setImageResource(R.mipmap.hlqd);
            hl3.setImageResource(R.mipmap.hlwqd);
            hl4.setImageResource(R.mipmap.hlwqd);
            hl5.setImageResource(R.mipmap.hlwqd);
        }else if(value==3)
        {
            Status=true;
            colse.setImageResource(R.mipmap.kaiji);
            hl1.setImageResource(R.mipmap.hlqd);
            hl2.setImageResource(R.mipmap.hlqd);
            hl3.setImageResource(R.mipmap.hlqd);
            hl4.setImageResource(R.mipmap.hlwqd);
            hl5.setImageResource(R.mipmap.hlwqd);
        }else if(value==4)
        {
            Status=true;
            colse.setImageResource(R.mipmap.kaiji);
            hl1.setImageResource(R.mipmap.hlqd);
            hl2.setImageResource(R.mipmap.hlqd);
            hl3.setImageResource(R.mipmap.hlqd);
            hl4.setImageResource(R.mipmap.hlqd);
            hl5.setImageResource(R.mipmap.hlwqd);
        }else if(value==5)
        {
            Status=true;
            colse.setImageResource(R.mipmap.kaiji);
            hl1.setImageResource(R.mipmap.hlqd);
            hl2.setImageResource(R.mipmap.hlqd);
            hl3.setImageResource(R.mipmap.hlqd);
            hl4.setImageResource(R.mipmap.hlqd);
            hl5.setImageResource(R.mipmap.hlqd);
        }else
        {
            Status=false;
            colse.setImageResource(R.mipmap.guangji);
            hl1.setImageResource(R.mipmap.hlwqd);
            hl2.setImageResource(R.mipmap.hlwqd);
            hl3.setImageResource(R.mipmap.hlwqd);
            hl4.setImageResource(R.mipmap.hlwqd);
            hl5.setImageResource(R.mipmap.hlwqd);
        }
    }
}
